package io.terminus.monitor.model;

import com.google.gson.Gson;
import com.loopj.android.http.RequestParams;

import org.litepal.crud.DataSupport;

import java.lang.reflect.Method;

/**
 * User : yh
 * Date : 17/2/22
 */

public class BaseModel extends DataSupport{
    public String toString(){
        return new Gson().toJson(this);
    }

    public long getId(){
        return getBaseObjId();
    }


    public String getUid() {
        return uid;
    }

    public void setUid(String uid) {
        this.uid = uid;
    }


    public String getDate() {
        return date;
    }

    public void setDate(String date) {
        this.date = date;
    }

    public String getNs() { return ns; }

    public void setNs(String ns) {
        this.ns = ns;
    }

    public String getAv() { return av; }

    public void setAv(String av) {
        this.av = av;
    }

    public String getVid() { return vid; }

    public void setVid(String vid) {
        this.vid = vid;
    }

    public String getAk() { return ak; }

    public void setAk(String ak) {
        this.ak = ak;
    }

    public String getDp() { return dp; }

    public void setDp(String dp) {
        this.dp = dp;
    }

    public String getDh() { return dh; }

    public void setDh(String dh) {
        this.dh = dh;
    }

    public String getCid() { return cid; }

    public void setCid(String cid) {
        this.cid = cid;
    }

    public String getGps() { return gps; }

    public void setGps(String gps) {
        this.gps = gps;
    }


    public String getExtra() { return extra; }

    public void setExtra(String extra) {
        this.extra = extra;
    }

    public String getMd() {
        return md;
    }

    public void setMd(String md) {
        this.md = md;
    }


    public String getOsn() {
        return osn;
    }

    public void setOsn(String osName) {
        this.osn = osn;
    }


    public String getOsv() {
        return osv;
    }

    public void setOsv(String osv) {
        this.osv = osv;
    }


    public String getBr() {
        return br;
    }

    public void setBr(String br) {
        this.br = br;
    }

    public String getUa() {
        return ua;
    }

    public void setUa(String ua) {
        this.ua = ua;
    }
   
    private String uid;  //登录用户id

    private String date;  //时间

    private String ns;  //网络状态

    private String av;  //应用版本

    private String ak;  //应用id

    private String vid;  //访问id

    private String dp;  //界面名称

    private String dh;  //应用名

    private String cid;  //客户端表示，uuid

    private String gps;  //定位信息

    private String ua;  //ua信息


    private String extra; //扩展



    //设备品牌
    private String br;
    //设备型号
    private String md;
    // 系统名称
    private String osn;
    //系统版本
    private String osv;

}
