//
//  RNMonitorConfig.h
//  RNMonitor
//
//  Created by zhiyu on 17/2/23.
//  Copyright © 2017年 Facebook. All rights reserved.
//

#import <Foundation/Foundation.h>


extern NSString *KModelName;
extern NSString *KDeviceEntityName;
extern NSString *KEventEntityName;
extern NSString *KPageEntityName;
extern NSString *KLogEntityName;
extern NSString *KPerformanceEntityName;
extern NSString *KRequestEntityName;

typedef NS_ENUM(NSInteger, RNUploadType) {
    RNUploadTypeWifiLimit = 1, //wifi+limit
    RNUploadTypeActivate,      // 启动
    RNUploadTypeRealTime       // 实时
};

@interface RNMonitorConfig : NSObject
@property(nonatomic,assign)RNUploadType type;
@property(nonatomic,copy)NSString*baseURL;
@property(nonatomic,copy)NSString*appKey;
@property(nonatomic,assign)NSInteger uploadLimit;
@property(nonatomic,copy)NSString* uid;
@property(nonatomic,assign)BOOL Debug;

+ (instancetype)shareInstance;
- (void)startMonitorWithAppKey:(NSString*)appKey ;
@end
