//
//  LPEventManager.m
//  demo
//
//  Created by zhiyu on 17/2/22.
//  Copyright © 2017年 terminus. All rights reserved.
//

#import "RNCusEventManager.h"
#import "RNMonitorConfig.h"
#import "RNUtil.h"
#import "RNDataManager.h"
#import "RNUpdateService.h"
#import "RNDevice.h"
#import "RNCusEventDO.h"
#import "RNMonitorUploadManager.h"
NSString *  KReceiveEventNotification = @"KReceiveEventNotification";
@implementation RNCusEventManager
+ (instancetype)shareInstance {
    static RNCusEventManager *_instance;
    static dispatch_once_t once_t;
    dispatch_once(&once_t, ^{
        if (!_instance) {
            _instance = [[self alloc] init];
        }
    });
    return _instance;
}
- (void)start{
     _eventPath = [RNDataManager creatDataWithFileName:KEventEntityName];
}


- (void)event:(NSString *)eventId
    eventName:(NSString *)eventName
     pageName:(NSString *)eventPageName
        extra:(NSDictionary*)extra {
    RNCusEventDO * eventDO = [RNCusEventDO new];
    eventDO.epn = eventPageName;


    if (eventId) {
        eventDO.ei = eventId;
    }
    if (eventName) {
        eventDO.en = eventName;
    }
    if (extra) {
        eventDO.extra = extra;
    }
    
}




@end
