//
//  LPPageManager.m
//  demo
//
//  Created by zhiyu on 17/2/22.
//  Copyright © 2017年 terminus. All rights reserved.
//

#import "RNEventManager.h"
#import "RNMonitorConfig.h"
#import "RNUpdateService.h"
#import "RNFMDB.h"
#import "RNMonitorUploadManager.h"
#import "RNEventDO.h"
@implementation RNEventManager
+ (instancetype)shareInstance {
    static RNEventManager *_instance;
    static dispatch_once_t once_t;
    dispatch_once(&once_t, ^{
        if (!_instance) {
            _instance = [[self alloc] init];
        }
    });
    return _instance;
}

- (void)start{
    [[RNFMDB shareDatabase] jq_createTable:KEventEntityName
                                dicOrModel:[RNEventDO new]];
    
}

- (void)event:(NSDictionary *)eventParam
{
    RNEventDO *eventDO = [RNEventDO new];
    [eventDO setValuesForKeysWithDictionary:eventParam];
    if (_extra) {
        eventDO.extra = _extra;
    }
    [RNMonitorUploadManager applyBaseParam:KEventEntityName
                                  pageName:nil
                                      data:eventDO];
}






@end
