//
//  LPPageManager.h
//  demo
//
//  Created by zhiyu on 17/2/22.
//  Copyright © 2017年 terminus. All rights reserved.
//

#import <Foundation/Foundation.h>

extern NSString *  KReceivePageNotification;
typedef void (^RNReadPages)(BOOL success, NSArray * pages, NSError *error);

@interface RNPageManager : NSObject
//@property(nonatomic,copy) NSString *pagePath;
@property(nonatomic,strong) id extra;

+ (instancetype)shareInstance;
- (void)start;


/** 记录某个页面开始的时间.
 @param pageName 统计的页面名称.
 @param extra 额外参数
 */
- (void)startPageView:(NSString *)pageName lastPage:(NSString*)lastPage;

/** 记录某个页面结束的时间.
 @param pageName 统计的页面名称.
 */
- (void)endPageView:(NSString *)pageName;



@end
