//
//  LPPageManager.m
//  demo
//
//  Created by zhiyu on 17/2/22.
//  Copyright © 2017年 terminus. All rights reserved.
//

#import "RNRequestManager.h"
#import "RNMonitorConfig.h"
#import "RNUpdateService.h"
#import "RNRequestDO.h"
#import "RNFMDB.h"
#import "RNMonitorUploadManager.h"
@implementation RNRequestManager
+ (instancetype)shareInstance {
    static RNRequestManager *_instance;
    static dispatch_once_t once_t;
    dispatch_once(&once_t, ^{
        if (!_instance) {
            _instance = [[self alloc] init];
        }
    });
    return _instance;
}

- (void)start{
    [[RNFMDB shareDatabase] jq_createTable:KRequestEntityName
                                dicOrModel:[RNRequestDO new]];
    
//    Class networkFlowProtocol = NSClassFromString(@"RNNetworkFlowProtocol");
//    [NSURLProtocol registerClass:networkFlowProtocol];
    
}

- (void)sendRequest:(NSDictionary *)requestParam
{
    RNRequestDO *requestDO = [RNRequestDO new];
    [requestDO setValuesForKeysWithDictionary:requestParam];
    
    if (_extra) {
        requestDO.extra = _extra;
    }
    [RNMonitorUploadManager applyBaseParam:KRequestEntityName
                                  pageName:nil
                                      data:requestDO];
}







@end
