//
//  RNDataManager.m
//  RNMonitor
//
//  Created by zhiyu on 17/2/26.
//  Copyright © 2017年 Facebook. All rights reserved.
//

#import "RNDataManager.h"

@implementation RNDataManager

+ (NSString *)creatDataWithFileName:(NSString *)name {
      NSString *docPath = [NSSearchPathForDirectoriesInDomains(NSDocumentDirectory, NSUserDomainMask, YES) lastObject];
    NSString *dataPath =[NSString stringWithFormat:@"%@/%@.plist",docPath,name];
    if (![[NSFileManager defaultManager] fileExistsAtPath:dataPath]) {
        [[NSFileManager defaultManager] createFileAtPath:dataPath contents:nil attributes:nil];
    }
    return dataPath;

}

+ (BOOL)insertData:(id)data withPath:(NSString *)path
{
    if (!data) {
        return NO;
    }
   NSMutableArray *array = [self readData:path];
    if (!array) {
        array = [NSMutableArray array];
    }
    [array addObject:data];
    return  [array writeToFile:path atomically:YES];
}

+ (id)readData:(NSString *)path
{
    return [NSMutableArray arrayWithContentsOfFile:path];
}


+ (BOOL)removeData:(NSString *)path
{
   NSMutableArray *array = [self readData:path];
    [array removeAllObjects];
    return [array writeToFile:path atomically:YES];
}
@end
