//
//  RNDevice.h
//  Laplata
//
//  Created by zhiyu on 16/9/13.
//  Copyright © 2016年 terminus. All rights reserved.
//

#import <UIKit/UIKit.h>

@interface RNDevice : UIDevice

/** iOS 设备型号 */
+ (NSString *)iphoneType;

/** 分辨率 */
+ (NSString *)iphoneResolution;

/** 版本号 */
+ (NSString *)appVersion;

/** bundle ID */
+ (NSString *)bundleId;

/** device ID */
+ (NSString *)deviceId;

/** 网络 */
+ (NSString *)iphoneNetState;

/** ip地址 */
+ (NSString *)iphoneIPAddress;

/** 是否越狱 */
+ (BOOL)iphoneIsJailbreak;

/** 系统版本 */
+ (NSString*)iphoneSystemVersion;

/** cpu使用 */
+ (float)iphoneCpuUsage;

/** 内存占用 */
+ (double)iphoneUsedMemory;

/** 磁盘空间 */
+ (NSString *)diskOfAllSizeMBytes;

/** 可用内存*/
+ (NSString *)availableMemory;

/** cpu类型 （待优化）*/
+ (NSString *)cpuType;

/** sdk最低支持版本 （待优化）*/
+ (NSString*)minimumSystemVersion;
@end
