
# react-native-monitor

## Getting started

`$ npm install react-native-monitor --save`

### Mostly automatic installation

`$ react-native link react-native-monitor`

### Manual installation


#### iOS

1. In XCode, in the project navigator, right click `Libraries` ➜ `Add Files to [your project's name]`
2. Go to `node_modules` ➜ `react-native-monitor` and add `RNMonitor.xcodeproj`
3. In XCode, in the project navigator, select your project. Add `libRNMonitor.a` to your project's `Build Phases` ➜ `Link Binary With Libraries`
4. Run your project (`Cmd+R`)<

#### Android

1. Open up `android/app/src/main/java/[...]/MainActivity.java`
  - Add `import io.terminus.monitor.RNMonitorPackage;` to the imports at the top of the file
  - Add `new RNMonitorPackage()` to the list returned by the `getPackages()` method
2. Append the following lines to `android/settings.gradle`:
  	```
  	include ':react-native-monitor'
  	project(':react-native-monitor').projectDir = new File(rootProject.projectDir, 	'../node_modules/react-native-monitor/android')
  	```
3. Insert the following lines inside the dependencies block in `android/app/build.gradle`:
  	```
      compile project(':react-native-monitor')
  	```

#### Windows
[Read it! :D](https://github.com/ReactWindows/react-native)

1. In Visual Studio add the `RNMonitor.sln` in `node_modules/react-native-monitor/windows/RNMonitor.sln` folder to their solution, reference from their app.
2. Open up your `MainPage.cs` app
  - Add `using Cl.Json.RNMonitor;` to the usings at the top of the file
  - Add `new RNMonitorPackage()` to the `List<IReactPackage>` returned by the `Packages` method


## Usage
```javascript
import RNMonitor from 'react-native-monitor';

// TODO: What do with the module?
RNMonitor;
```
  