//
//  LPPerformancemanager.m
//  demo
//
//  Created by zhiyu on 17/2/22.
//  Copyright © 2017年 terminus. All rights reserved.
//

#import "RNPerformanceManager.h"
#import "RNDataManager.h"
#import <RNDevice.h>
#import "RNFPS.h"
#import "RNSlack.h"
#import "RNMonitorConfig.h"
#import "RNUtil.h"
#import "RNNetFlow.h"
#import "RNNetworkFlowProtocol.h"
#import "RNPerformanceDO.h"
#import "RNFMDB.h"
#import "RNMonitorUploadManager.h"
@implementation RNPerformanceManager{
    NSString *_currentPageName;
    NSUInteger *_currentFlow;
}

+ (instancetype)shareInstance {
    static RNPerformanceManager *_instance;
    static dispatch_once_t once_t;
    dispatch_once(&once_t, ^{
        if (!_instance) {
            _instance = [[self alloc] init];
        }
    });
    return _instance;
}

- (void)start{
    [[RNFMDB shareDatabase] jq_createTable:KPerformanceEntityName
                                dicOrModel:[RNPerformanceDO new]];
//    [[RNSlack sharedInstance] startMonitor];
//    [self startNetWorkFlowProtocol];

}

- (void)pageLoadTime:(NSString *)pageName time:(NSString *)time
{
    RNPerformanceDO* perDO = [RNPerformanceDO new];
    perDO.nt = time;
    
    [RNMonitorUploadManager applyBaseParam:KPerformanceEntityName
                                  pageName:pageName
                                      data:perDO];
    
}


//- (void)startNetWorkFlowProtocol{
//    Class networkFlowProtocol = NSClassFromString(@"RNNetworkFlowProtocol");
//    [NSURLProtocol registerClass:networkFlowProtocol];
//}

//-(void)updateNetworkFlow:(NSUInteger)flow
//{
//    _currentFlow += flow;
//}
//- (void)startPagePerformance:(NSString *)pageName
//{
//    [[RNFPS shareInstance] startFPS];
//    _currentPageName = pageName;
//}
//
//- (void)endPagePerformance:(NSDictionary *)extra
//{
////    NSDictionary *flew = [RNNetFlow getNetFlow];
//    if (_currentPageName) {
//        [[RNFPS shareInstance] stopFPS];
//        NSNumber *FPS = [[RNFPS shareInstance].FPSs valueForKeyPath:@"@avg.floatValue"];
//        unsigned int netWorkFlow = [RNNetFlow getNetFlow];
//        NSMutableDictionary *dict = [NSMutableDictionary dictionary];
//        [dict setObject:_currentPageName forKey:@"PageName"];
//        [dict setObject:[NSString stringWithFormat:@"%f",[RNDevice iphoneCpuUsage]]forKey:@"cpu"];
//        [dict setObject:[NSString stringWithFormat:@"%f",[RNDevice iphoneUsedMemory]]forKey:@"mem"];
//        [dict setObject:[NSString stringWithFormat:@"%f",FPS.floatValue]forKey:@"fps"];
//        [dict setObject:[NSString stringWithFormat:@"%ld",_currentFlow] forKey:@"netflow"];
//        [dict setObject:[RNUtil getCurrentTime] forKey:@"date"];
//        _currentPageName = nil;
//
//        if ([RNMonitorConfig shareInstance].uid) {
//            [dict setObject:[RNMonitorConfig shareInstance].uid forKey:@"uid"];
//        }
//
//    }
//    
//}



@end
