//
//  LPLocation.h
//  RNMonitor
//
//  Created by zhiyu on 17/2/22.
//  Copyright © 2017年 Facebook. All rights reserved.
//

#import <UIKit/UIKit.h>
#import <CoreLocation/CoreLocation.h>

typedef void (^RNLocatingCompletionBlock)(NSString *location, NSError *error);

@interface RNLocationManager : NSObject
@property(nonatomic,copy)NSString * location;

+ (instancetype)shareInstance;
- (void)startLocation:(RNLocatingCompletionBlock)resultBlock;
@end
